https://git.gnome.org/browse/gtk+/tree/examples
https://developer.gnome.org/gtk3/stable/ch01s04.html


https://developer.gnome.org/gtk3/3.2/GtkSettings.html#GtkSettings--gtk-application-prefer-dark-theme

g_object_set (gtk_settings_get_default (),
              "gtk-application-prefer-dark-theme", TRUE,
              NULL);

https://developer.gnome.org/SaveWindowState/



http://nuclear.mutantstargoat.com/articles/make/





Todo:
- [ ] Make Dark Theme a plugin
  - Tutorials
    - http://steef435.github.io/2016/01/20/getting-started-with-libpeas-extensions-in-vala/
    - https://git.gnome.org/browse/libpeas/tree/peas-demo
    - http://lzone.de/How+to+write+GObject+Introspection+based+Plugins
  - Docs
    - https://developer.gnome.org/libpeas/stable/index.html
    - https://developer.gnome.org/libpeas/stable/pt01.html
    - https://developer.gnome.org/libpeas/stable/ch01.html
    - https://developer.gnome.org/libpeas/stable/PeasExtensionBase.html
    - https://developer.gnome.org/totem/stable/totem-plugins.html
    - https://wiki.gnome.org/Apps/Gedit/PluginsHowTos
- [ ] Make CSD a plugin

## Guides
- [http://rpm-guide.readthedocs.io/en/latest/rpm-guide.html]


## Help!
### My icons created in `$(builddir)/` aren't showing
This might be a number of reasons.

1. `$(builddir)$(iconsdir)/hicolor/index.theme` does not exist
  - Fix: create the `index.them` by following the specs on freedesktop.org or copy the one from `/usr/share/icons/hicolor`
2. `$(builddir)$(iconsdir)/hicolor/icon-theme.cache` was not generated
  - Fix: run `gtk-update-icon-cache $(builddir)$(iconsdir)/hicolor`
3. You installed the application once with icons in the system location either in `/usr/share/icons` or `/usr/local/share/icons` and the system is overridding. If you already removed them the cache might still exists.
  - Fix: remove your icons from that directory and `gtk-update-icon-cache /usr/share/icons/hicolor/` as root
